
From: Andrey Panin <pazke@donpac.ru>


this small patch (against 2.5.70) updates visws_apic.c in accordance
with linux irq handling changes.



 arch/i386/mach-visws/visws_apic.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN arch/i386/mach-visws/visws_apic.c~visws-irq-update arch/i386/mach-visws/visws_apic.c
--- 25/arch/i386/mach-visws/visws_apic.c~visws-irq-update	2003-05-28 00:56:38.000000000 -0700
+++ 25-akpm/arch/i386/mach-visws/visws_apic.c	2003-05-28 00:56:38.000000000 -0700
@@ -196,7 +196,7 @@ static struct hw_interrupt_type piix4_vi
  * enable_irq gets the right irq. This 'master' irq is never directly
  * manipulated by any driver.
  */
-static void piix4_master_intr(int irq, void *dev_id, struct pt_regs * regs)
+static irqreturn_t piix4_master_intr(int irq, void *dev_id, struct pt_regs * regs)
 {
 	int realirq;
 	irq_desc_t *desc;
@@ -254,11 +254,11 @@ static void piix4_master_intr(int irq, v
 	if (!(desc->status & IRQ_DISABLED))
 		enable_8259A_irq(realirq);
 
-	return;
+	return IRQ_HANDLED;
 
 out_unlock:
 	spin_unlock_irqrestore(&i8259A_lock, flags);
-	return;
+	return IRQ_NONE;
 }
 
 static struct irqaction master_action = {

_
